# Java

Welcome to the Flagship Java SDK documentation!

The following article will guide you through the steps to get Flagship up and running on your native Java app using our client library with preconfigured methods to implement the Decision API.

Wants to have a look at the GitHub repo? Link [here](https://github.com/flagship-io/flagship-java).

Feel free to [contact us](mailto:product.feedback@abtasty.com?subject=Flagship%20Developer%20Documentation) if you have any questions regarding this documentation.

### Release notes

### [3.0.7 (Latest version)](/server-side/sdks/java/java-v3.md)

**Changed**

* Upgrade org.json dependency

### 3.0.6

**Fixed**

* Build compatibility with Java 8

### 3.0.5

**Fixed**

* Event hit value type: must be integer > 0

**Changed**

* Compilation and publishing on Maven Central

### 3.0.4 (Deprecated)

### 3.0.3

* Added campaign slug information in FlagMetadata

### 3.0.2

**Fixed**

* Hit batch length limitation.

### 3.0.1

**Fixed**

* Prevention of variation reallocation in Bucketing mode.
* Offline flag management have been fixed in Bucketing mode.

**Added**

* VariationGroup and Variation ids assignations history have been added in IVisitorCacheImplementation cache lookup format.

### 3.0.0

**Added**

* Custom Cache management configuration.

**Changed**

* synchronizeModification / getModification / getModificationInfo / activateModification are now obsolete and have been replaced by Flag class

#### 2.0.0

**Added**

* Bucketing mode with polling intervals.
* SDK Status / Status listener.
* Experience Continuity : visitor authentication / unauthentication
* Clear context possibility.
* Visitor builder
* Visitor consent.
* Predefined context.

**Changed**

* FlagshipConfig implemented by FlagshipConfig.DecisionApi or FlagshipConfig.Bucketing
* Visitor package location
* Visitor isAuthenticated optional parameter for experience continuity.

#### 1.0.0


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/server-side/sdks/java.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
